/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerBean.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.CreateException;
import javax.ejb.EntityContext;
import javax.ejb.EntityBean;

public abstract class CustomerBean implements EntityBean
{
    public String ejbCreate(String reference, String name)
        throws CreateException
    {
        setReference(reference);
        setName(name);

        return null;
    }

    public void ejbPostCreate(String reference, String name)
    {
    }

    public abstract void setReference(String reference);

    public abstract String getReference();

    public abstract void setName(String name);

    public abstract String getName();

    public abstract void setPurchaseOrders(Collection purchaseOrders);

    public abstract Collection getPurchaseOrders();

    public void setEntityContext(EntityContext entityContext)
    {
    }

    public void unsetEntityContext()
    {
    }

    public void ejbActivate()
    {
    }

    public void ejbPassivate()
    {
    }

    public void ejbLoad()
    {
    }

    public void ejbStore()
    {
    }    

    public void ejbRemove()
    {
    }
}
